fi;
+if test x${bacula} = x; then
+ { { echo "$as_me:$LINENO: error: Missing --with-bacula=PATH" >&5
+echo "$as_me: error: Missing --with-bacula=PATH" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+
- ac_config_files="$ac_config_files autoconf/Make.common Makefile linux/Makefile linux/floppy/Makefile linux/cdrom/Makefile linux/cdrom/bacula/Makefile linux/cdrom/cdtree/boot/isolinux/boot.msg freebsd/Makefile solaris/Makefile $PFILES"
+ ac_config_files="$ac_config_files autoconf/Make.common Makefile linux/Makefile linux/cdrom/Makefile linux/cdrom/bacula/Makefile linux/cdrom/cdtree/boot/isolinux/boot.msg freebsd/Makefile solaris/Makefile $PFILES"
ac_config_commands="$ac_config_commands default"
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
"autoconf/Make.common" ) CONFIG_FILES="$CONFIG_FILES autoconf/Make.common" ;;
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"linux/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/Makefile" ;;
- "linux/floppy/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/floppy/Makefile" ;;
"linux/cdrom/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/cdrom/Makefile" ;;
"linux/cdrom/bacula/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/cdrom/bacula/Makefile" ;;
"linux/cdrom/cdtree/boot/isolinux/boot.msg" ) CONFIG_FILES="$CONFIG_FILES linux/cdrom/cdtree/boot/isolinux/boot.msg" ;;
PATH="/sbin:/bin:/usr/sbin:/usr/bin:$PATH"
-
+# Cleanup and make necessary directories
rm -rf $R/sbin
mkdir -p $R/etc $R/initrd $R/lib $R/mnt $R/mnt/cdrom
mkdir -p $R/proc $R/root $R/sbin $R/tmp $R/var
ln -sf sbin bin
cd $TOPDIR
+#
+# Some users have a different shell for root, so be
+# sure to add it to the rootsbin list. Note, the shell may
+# be copied twice, but it is not worth the effort to run uniq
+# here.
+#
+TMPFILE=`mktemp -t bin.XXXXXXXXXX`
+if [ $? != 0 ]; then
+ echo "Could not make temp file"
+ exit 1
+fi
+cat rootsbin.list >${TMPFILE}
+command=`grep ^root: /etc/passwd | cut -d ':' -f 7`
+command=`basename $command`
+if [ x$command != "xbash" ] ; then
+ echo "roottree/sbin/$command" >>${TMPFILE}
+fi
+
echo "Building root /sbin. Some Could not find messages are normal ..."
-for file in `cat rootsbin.list` ; do
+for file in `cat ${TMPFILE}` ; do
command=`basename $file`
fullfile=`which $command 2> /dev/null`
if [ x$fullfile != x ] ; then
-# echo "updating $command in roottree with $fullfile"
+ echo "updating $command in roottree with $fullfile"
cp -fpd $fullfile $file
if [ $? != 0 ] ; then
echo "Update failed."
rm -f $file
fi
done
+rm -f ${TMPFILE}
+
cd roottree/sbin
ln -sf halt reboot
cd $TOPDIR
fi
fi
done
-cp -fp /lib/ld-linux.so.2 roottree/lib/
+#
+# Wouldn't you know, there is one so that is critical to have or
+# nothing will load on 2.6 kernels.
+#
+cp -fp /lib/ld-linux.so.* roottree/lib/
strip `find roottree/lib/ -maxdepth 1 -type f` 2>/dev/null
+#
+# Get a bunch of stuff from /etc
+#
+echo "Building /etc ..."
cp -p /etc/services roottree/etc/
if [ $? != 0 ] ; then
echo "Update failed."
exit 1
fi
-#
-# Get a bunch of stuff from /etc
-#
-echo "Building /etc ..."
for file in `cat rootetc.list` ; do
if [ -e $file ] ; then
cp -fp $file roottree/etc/
#
# Pull a few files needed by PAM
#
-if [ -e /lib/libnss_files.so.1 ] ; then
+if [ -f /lib/libnss_files.so.1 ] ; then
cp -fp /lib/libnss_files.so.1 roottree/lib/
fi
-cp -fp /lib/libnss_files.so.2 roottree/lib/
+cp -fp /lib/libnss_files.so.* roottree/lib/
cp -a /lib/security roottree/lib/